/*
Copyright 2015 Ian Jauslin

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/*
Compute flow numerically
*/

#ifndef NUMERICAL_FLOW_H
#define NUMERICAL_FLOW_H

#include "types.h"

// compute flow
int numerical_flow(Grouped_Polynomial flow_equation, RCC init, Labels labels, int niter, int display_mode);
// single step
int step_flow(RCC* rccs, Grouped_Polynomial flow_equation);

// print the label of an rcc (takes constants and derivatives into account)
int print_label(int index, Labels labels);
#endif
